com.here.msdkui.guidance

## Class GuidanceSpeedPresenter

- java.lang.Object
- - com.here.msdkui.guidance.base.BaseGuidancePresenter
  - - com.here.msdkui.guidance.GuidanceSpeedPresenter

-     public class GuidanceSpeedPresenter
      extends BaseGuidancePresenter

  This class creates `GuidanceSpeedData` instances during guidance and notifies it's listeners about that.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceSpeedPresenter(com.here.android.mpa.guidance.NavigationManager navigationManager, com.here.android.mpa.common.PositioningManager positioningManager)` Constructs a new instance using instances of `NavigationManager` and `PositioningManager`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(GuidanceSpeedListener listener)` Adds a `GuidanceSpeedListener`.
    `protected void` | `handlePositionUpdate()`
    `protected void` | `handleSpeedExceeded(float speedLimit)` Notifies when driving over speed limit.
    `protected void` | `handleSpeedExceededEnd(float speedLimit)` Notifies when no longer driving over speed limit.
    `void` | `pause()` Pauses presenter to stop listening to navigation events.
    `void` | `removeListener(GuidanceSpeedListener listener)` Remove a `GuidanceSpeedListener`.
    `void` | `resume()` Resumes presenter to start listening to navigation events.

    - ### Methods inherited from class com.here.msdkui.guidance.base.BaseGuidancePresenter

      `disableSpeedWarnings, enableSpeedWarnings, getAfterNextManeuver, getDestinationDistance, getEta, getNextManeuver, getNextManeuverDistance, getRoute, getTimeToArrival, handleGpsLost, handleGpsRestore, handleManeuverEvent, handleNewInstructionEvent, handleRerouteBegin, handleRerouteEnd, handleRerouteFailed, setRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidanceSpeedPresenter

          public GuidanceSpeedPresenter(@NonNull
                                        com.here.android.mpa.guidance.NavigationManager navigationManager,
                                        @NonNull
                                        com.here.android.mpa.common.PositioningManager positioningManager)

      Constructs a new instance using instances of `NavigationManager` and `PositioningManager`.
      Parameters:
        `navigationManager` - a `NavigationManager`.
        `positioningManager` - a `PositioningManager`.

  - ### Method Detail

    - #### resume

          public void resume()

      Description copied from class: `BaseGuidancePresenter`
      Resumes presenter to start listening to navigation events.
      Overrides:
        `resume` in class `BaseGuidancePresenter`

    - #### pause

          public void pause()

      Description copied from class: `BaseGuidancePresenter`
      Pauses presenter to stop listening to navigation events.
      Overrides:
        `pause` in class `BaseGuidancePresenter`

    - #### handlePositionUpdate

          protected void handlePositionUpdate()

      Overrides:
        `handlePositionUpdate` in class `BaseGuidancePresenter`

    - #### handleSpeedExceeded

          protected void handleSpeedExceeded(float speedLimit)

      Description copied from class: `BaseGuidancePresenter`
      Notifies when driving over speed limit.
      Overrides:
        `handleSpeedExceeded` in class `BaseGuidancePresenter`
      Parameters:
        `speedLimit` - current speed limit.

    - #### handleSpeedExceededEnd

          protected void handleSpeedExceededEnd(float speedLimit)

      Description copied from class: `BaseGuidancePresenter`
      Notifies when no longer driving over speed limit.
      Overrides:
        `handleSpeedExceededEnd` in class `BaseGuidancePresenter`
      Parameters:
        `speedLimit` - current speed limit.

    - #### addListener

          public void addListener(GuidanceSpeedListener listener)

      Adds a `GuidanceSpeedListener`.
      Parameters:
        `listener` - the listener to add to the list of listeners.

    - #### removeListener

          public void removeListener(GuidanceSpeedListener listener)

      Remove a `GuidanceSpeedListener`.
      Parameters:
        `listener` - the listener to remove from the list of listeners.